Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Class TextChangingEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.custom.TextChangingEvent

All Implemented Interfaces:
  Serializable

    public class TextChangingEvent

extends TypedEvent

This event is sent by the StyledTextContent implementor when a change to the text is about to occur.

See Also:
  Sample code and further information, Serialized Form

Field Summary
`int` `newCharCount` Length of text that is going to be inserted
`int` `newLineCount` Number of new lines that are going to be inserted
`String` `newText` Text that is going to be inserted or empty string if no text will be inserted
`int` `replaceCharCount` Length of text that is going to be replaced
`int` `replaceLineCount` Number of lines that are going to be replaced
`int` `start` Start offset of the text that is going to be replaced

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TextChangingEvent(StyledTextContent source)` Create the TextChangedEvent to be used by the StyledTextContent implementor.

Method Summary

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public int start

  Start offset of the text that is going to be replaced

### newText

    public String newText

  Text that is going to be inserted or empty string if no text will be inserted

### replaceCharCount

    public int replaceCharCount

  Length of text that is going to be replaced

### newCharCount

    public int newCharCount

  Length of text that is going to be inserted

### replaceLineCount

    public int replaceLineCount

  Number of lines that are going to be replaced

### newLineCount

    public int newLineCount

  Number of new lines that are going to be inserted

Constructor Detail

### TextChangingEvent

    public TextChangingEvent(StyledTextContent source)

  Create the TextChangedEvent to be used by the StyledTextContent implementor.

  Parameters:
    `source` - the object that will be sending the new TextChangingEvent, cannot be null

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.